package gp_dbc.items;

import JinRyuu.JRMCore.JRMCoreH;
import cpw.mods.fml.common.registry.GameRegistry;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import gp_dbc.Main;
import gp_dbc.config.ConfigManager;
import gp_dbc.utils.EntityUtils;
import gp_dbc.utils.RayTrace;
import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.util.ChatComponentText;
import net.minecraft.util.EnumChatFormatting;
import net.minecraft.util.MovingObjectPosition;
import net.minecraft.world.World;

import java.util.List;

public class ItemGPHandcuff extends Item {

    public ItemGPHandcuff()
    {
        super();
        setUnlocalizedName(Main.MODID +".gp_handcuff");
        GameRegistry.registerItem(this, getUnlocalizedName());
        setCreativeTab(Main.tabGP);
        setTextureName(Main.MODID + ":gp_handcuff");
        setMaxStackSize(2);
    }

    //@SideOnly(Side.SERVER)
    @Override
    public ItemStack onItemRightClick(ItemStack itemStack, World world, EntityPlayer player) {

        Entity entity = EntityUtils.getEntityLookedAt(player, 5);
        if (entity instanceof EntityPlayer) {
                EntityPlayer jailer = (EntityPlayer) entity;

                NBTTagCompound nbtPlayer = JRMCoreH.nbt(jailer, "pres");
                boolean ko = nbtPlayer.getInteger("jrmcHar4va") > 0;
                if (ko) {
                    player.inventory.setInventorySlotContents(player.inventory.currentItem, null);
                    if (!world.isRemote)
                        Main.gp.jail.putPlayerInJail(player, jailer, 20, true);
                }
        }

        return itemStack;
    }

    @SideOnly(Side.CLIENT)
    public void addInformation(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, List par3List, boolean par4) {
        par3List.add("Right Click to put in jail");
    }
}
