package gp_dbc.utils;

import gp_dbc.system.Cell;

public class Pos {

    public int x;
    public int y;
    public int z;
    public int dimension;

    public Pos (int x, int y, int z) {
        this(x, y , z, 0);
    }

    public Pos (int x, int y, int z, int dimension) {
        this.x = x;
        this.y = y;
        this.z = z;
        this.dimension = dimension;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;

        if (!(obj instanceof Pos))
            return false;

        Pos objPos = (Pos)obj;
        return objPos.x == x && objPos.y == y && objPos.z == z && objPos.dimension == dimension;
    }

}
